#include <allegro.h>
#include "display.h"

int main(void)
{
   allegro_init();
   install_keyboard();
   
   if (!al_create_display(GFX_AUTODETECT, AL_UPDATE_PAGE_FLIP, AL_DEPTH_16, 640, 480, 0, 0)) {
      allegro_message("Error: can't create display!\n");
      return 1;
   }
   
   clear_to_color(al_get_buffer(al_main_display), makecol(255, 255, 255));
   textprintf_centre_ex(al_get_buffer(al_main_display), font, SCREEN_W/2, SCREEN_H/2, 0, -1, "Hello, World!");
   al_flip_display(al_main_display);
   readkey();
   
   al_destroy_display(al_main_display);
      
   return 0;
}
END_OF_MAIN()
